Package net.snowflake.client.jdbc

## Interface SnowflakePreparedStatement

    public interface SnowflakePreparedStatement

### Method Summary

All Methods Instance Methods Abstract Methods
`ResultSet` `executeAsyncQuery()` Execute a query asynchronously
`String` `getQueryID()`
`void` `setBigInteger​(int parameterIndex, BigInteger x)` Sets the designated parameter to the given BigInteger value.
`<T> void` `setMap​(int parameterIndex, Map<String,​T> map, int type)` Sets the designated parameter to the given Map instance.

### Method Detail

#### getQueryID

    String getQueryID()
               throws SQLException

Returns:
  the Snowflake query ID of the latest executed query
Throws:
  `SQLException` - if an error occurs

#### executeAsyncQuery

    ResultSet executeAsyncQuery()
                         throws SQLException

Execute a query asynchronously

Returns:
  ResultSet containing results
Throws:
  `SQLException` - if an error occurs

#### setBigInteger

    void setBigInteger​(int parameterIndex,
                       BigInteger x)
                throws SQLException

Sets the designated parameter to the given BigInteger value.

Parameters:
  `parameterIndex` - the parameter index
  `x` - the BigInteger value
Throws:
  `SQLException` - if an error occurs

#### setMap

    <T> void setMap​(int parameterIndex,
                    Map<String,​T> map,
                    int type)
             throws SQLException

Sets the designated parameter to the given Map instance.

Type Parameters:
  `T` - generic type
Parameters:
  `parameterIndex` - the parameter index
  `map` - the map instance
  `type` - the type
Throws:
  `SQLException` - if an error occurs